%define origversion 5.1-4.06.0

Name:           ocaml-ppx_tools
Version:        5.1+4.06.0
Release:        1%{?dist}
Summary:        Tools for authors of ppx rewriters

License:        MIT
URL:            https://github.com/ocaml-ppx/ppx_tools
Source0:	https://github.com/ocaml-ppx/ppx_tools/archive/ppx_tools-%{origversion}.tar.gz

Requires:  	ocaml >= 4.06.0
Requires:  	ocaml-result
Requires:  	ocaml-ocaml-migrate-parsetree

BuildRequires:  ocaml >= 4.06.0
BuildRequires:  ocaml-findlib >= 1.5.0
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-ocaml-migrate-parsetree-devel

%description
Tools for authors of syntactic tools (such as ppx rewriters).

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.


%prep
%setup -q -n ppx_tools-%{origversion}


%build
# add -g for the debug packages
# %make_build "COMPFLAGS=-bin-annot -w +A-4-17-44-45-105-42 -safe-string -g"
make all

%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
%make_build install

# Makes *.cmxs and ppx_metaquot_* executable such that they will be stripped.
find $OCAMLFIND_DESTDIR -name '*.cmxs' -exec chmod 0755 {} \;
find $OCAMLFIND_DESTDIR -regextype sed -regex '.*/ppx_metaquot_[0-9]*' -exec chmod 0755 {} \;

%files
%doc README.md
%license LICENSE
%{_libdir}/ocaml/*
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%endif


%files devel
%doc README.md
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx
%endif
